> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/ru/vast/vast-wrapper.md).

# Тег-обёртка VAST

## Пример XML

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>EXADS</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.realsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## Свойства

| Параметр                                 | Пояснение                                                                                                                                                                                                                                                                                                                          |
| ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | XML-пролог с указанными версией и кодировкой.                                                                                                                                                                                                                                                                                      |
| `VAST`                                   | Версия VAST, используемая этим элементом                                                                                                                                                                                                                                                                                           |
| `Wrapper fallbackOnNoAd`                 | Указывает, что внутри дерева есть еще один элемент VAST. Если в настройках рекламной зоны включен «Video Fallback», это также укажет, какое место этот элемент занимает в очереди VAST                                                                                                                                             |
| `VASTAdTagURI`                           | Элемент используется для предоставления URI вторичного ответа VAST. Этот вторичный ответ может быть другим Wrapper, но в конечном итоге wrapper VAST должен возвращать `<InLine>` рекламу. Версия 3 не ограничивает количество перенаправлений Wrapper, но начиная с версии 4 допускается максимум 5 перенаправлений Wrapper VAST. |
| `Клики по видео`                         | Элемент, который используется для указания того, что должен делать видеоплеер, если пользователь щелкнет прямо в области видеоплеера, пока реклама отображается. Когда `<VideoClicks>` элемент предоставлен, он содержит один дочерний `<ClickTracking>` элемент с URI (или `<ClickThrough>` в случае тега VAST).                  |
| `ClickTracking`                          | Элемент используется для отслеживания `переход по клику` когда креативный файл обрабатывает `переход по клику`.                                                                                                                                                                                                                    |
| `Расширение`                             | Дополнительные настройки, предоставляемые рекламным сервером                                                                                                                                                                                                                                                                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/ru/vast/vast-wrapper.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
